gr::fosphor::qt_sink_c_impl Class Reference
Fosphor

Qt version of fosphor sink (implementation) More...

`#include <qt_sink_c_impl.h>`

Inheritance diagram for gr::fosphor::qt_sink_c_impl:
[legend]

## Public Member Functions

| qt_sink_c_impl (QWidget *parent=NULL)
void | exec_ ()
QWidget * | qwidget ()
void * | pyqwidget ()
Public Member Functions inherited from gr::fosphor::base_sink_c_impl
virtual | ~base_sink_c_impl ()
void | execute_ui_action (enum ui_action_t action)
void | set_frequency_range (const double center, const double span)
void | set_frequency_center (const double center)
void | set_frequency_span (const double span)
void | set_fft_window (const gr::fft::window::win_type win)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
bool | start ()
bool | stop ()

## Protected Member Functions

void | glctx_init ()
void | glctx_swap ()
void | glctx_poll ()
void | glctx_fini ()
void | glctx_update ()
Protected Member Functions inherited from gr::fosphor::base_sink_c
| base_sink_c (const char *name=NULL)
Protected Member Functions inherited from gr::fosphor::base_sink_c_impl
| base_sink_c_impl ()
void | cb_reshape (int width, int height)
void | cb_visibility (bool visible)

## Friends

class | QGLSurface

## Additional Inherited Members

Public Types inherited from gr::fosphor::qt_sink_c
typedef boost::shared_ptr< qt_sink_c > | sptr
Public Types inherited from gr::fosphor::base_sink_c
enum | ui_action_t { DB_PER_DIV_UP, DB_PER_DIV_DOWN, REF_UP, REF_DOWN, ZOOM_TOGGLE, ZOOM_WIDTH_UP, ZOOM_WIDTH_DOWN, ZOOM_CENTER_UP, ZOOM_CENTER_DOWN, RATIO_UP, RATIO_DOWN, FREEZE_TOGGLE }
Static Public Member Functions inherited from gr::fosphor::qt_sink_c
static sptr | make (QWidget *parent=NULL)
| Return a shared_ptr to a new instance of fosphor::qt_sink_c. More...
Public Attributes inherited from gr::fosphor::qt_sink_c
QApplication * | d_qApplication

## Detailed Description

Qt version of fosphor sink (implementation)

## Constructor & Destructor Documentation

## qt_sink_c_impl()

gr::fosphor::qt_sink_c_impl::qt_sink_c_impl | ( | QWidget * | parent = `NULL` | ) |

## Member Function Documentation

## exec_()

void gr::fosphor::qt_sink_c_impl::exec_ | ( |  | ) |

virtual

Implements gr::fosphor::qt_sink_c.

## glctx_fini()

void gr::fosphor::qt_sink_c_impl::glctx_fini | ( |  | ) |

protected virtual

Implements gr::fosphor::base_sink_c_impl.

## glctx_init()

void gr::fosphor::qt_sink_c_impl::glctx_init | ( |  | ) |

protected virtual

Implements gr::fosphor::base_sink_c_impl.

## glctx_poll()

void gr::fosphor::qt_sink_c_impl::glctx_poll | ( |  | ) |

protected virtual

Implements gr::fosphor::base_sink_c_impl.

## glctx_swap()

void gr::fosphor::qt_sink_c_impl::glctx_swap | ( |  | ) |

protected virtual

Implements gr::fosphor::base_sink_c_impl.

## glctx_update()

void gr::fosphor::qt_sink_c_impl::glctx_update | ( |  | ) |

protected virtual

Implements gr::fosphor::base_sink_c_impl.

## pyqwidget()

void* gr::fosphor::qt_sink_c_impl::pyqwidget | ( |  | ) |

virtual

Implements gr::fosphor::qt_sink_c.

## qwidget()

QWidget* gr::fosphor::qt_sink_c_impl::qwidget | ( |  | ) |

virtual

Implements gr::fosphor::qt_sink_c.

## Friends And Related Function Documentation

## QGLSurface

friend class QGLSurface

friend

The documentation for this class was generated from the following file:

- qt_sink_c_impl.h